package com.lanyuanxiaoyao.service.configuration.entity.info;

import com.eshore.odcp.hudi.connector.entity.FlinkJob;
import com.eshore.odcp.hudi.connector.entity.TableMeta;
import java.util.List;

/**
 * flink job 和 table meta
 *
 * @author lanyuanxiaoyao
 * @date 2023-04-24
 */
public class JobAndMetas {
    private FlinkJob job;
    private List<TableMeta> metas;

    public JobAndMetas() {
    }

    public JobAndMetas(FlinkJob job, List<TableMeta> metas) {
        this.job = job;
        this.metas = metas;
    }

    public FlinkJob getJob() {
        return job;
    }

    public List<TableMeta> getMetas() {
        return metas;
    }

    @Override
    public String toString() {
        return "JobAndMetas{" +
                "job=" + job +
                ", meta=" + metas +
                '}';
    }
}
